const express = require('express')
const cors = require('cors')
const bodyParser = require('body-parser')
const multiparty = require('connect-multiparty')
const fs = require('fs');

const configFile = fs.readFileSync('./config.json');
const globalConfig = JSON.parse(configFile)
console.log(JSON.parse(configFile))
const port = globalConfig.port

// 创建 app
const app = express()
// 设置跨域访问
app.use(cors())
// 处理POST参数
// 处理 x-www-form-urlencoded
app.use(bodyParser.urlencoded({
    extended:true
}));
// 处理 application/json
app.use(bodyParser.json())
// 处理 mutipart/form-data
app.use(multiparty())
const shipTestRouter = require('./ship-test/routers/index');
app.use('/ship-test', shipTestRouter)
// 启动
app.listen(port, () => {
    console.log('express server running at ' + port);
})

